Last Comment Bug 393698 - Sunbird installer includes everything under the optional directory
: Sunbird installer includes everything under the optional directory
Status: VERIFIED FIXED
:
Product: Calendar
Classification: Client Software
Component: Sunbird Only (show other bugs)
: Trunk
: x86 Windows Vista
: -- normal (vote)
: 0.7
Assigned To: Robert Strong [:rstrong] (use needinfo to contact me)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-25 12:19 PDT by Robert Strong [:rstrong] (use needinfo to contact me)
Modified: 2007-08-31 07:14 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch - remove comment that causes this bug (694 bytes, patch)
2007-08-25 12:19 PDT, Robert Strong [:rstrong] (use needinfo to contact me)
mschroeder: review+
ssitter: review+
Details | Diff | Splinter Review
patch updated to comments (2.04 KB, patch)
2007-08-27 14:12 PDT, Robert Strong [:rstrong] (use needinfo to contact me)
robert.strong.bugs: review+
Details | Diff | Splinter Review

Description Robert Strong [:rstrong] (use needinfo to contact me) 2007-08-25 12:19:41 PDT
Created attachment 278226 [details] [diff] [review]
patch - remove comment that causes this bug

I just noticed Sunbird has more than just the optional components under the optional directory in the self extracting archive for the installer.
Comment 1 Martin Schröder [:mschroeder] 2007-08-27 05:31:59 PDT
Comment on attachment 278226 [details] [diff] [review]
patch - remove comment that causes this bug

If you remove it from the Makefile, you can also remove the already commented out [adt] section from packages-static.

r=mschroeder with additional removal in packages-static

Stefan, please also have a look at the patch. You have more experience with the installer.
Comment 2 Stefan Sitter 2007-08-27 12:47:02 PDT
Comment on attachment 278226 [details] [diff] [review]
patch - remove comment that causes this bug

r=ssitter
Comment 3 Robert Strong [:rstrong] (use needinfo to contact me) 2007-08-27 14:12:08 PDT
Created attachment 278442 [details] [diff] [review]
patch updated to comments

Carrying forward r+
Comment 4 Robert Strong [:rstrong] (use needinfo to contact me) 2007-08-27 14:13:08 PDT
Stefan, do you want this on MOZILLA_1_8_BRANCH as well? I know Sunbird tried to keep these in sync as much as possible.
Comment 5 Stefan Sitter 2007-08-27 14:29:16 PDT
Yes, please checkin to MOZILLA_1_8_BRANCH and HEAD.
Comment 6 Robert Strong [:rstrong] (use needinfo to contact me) 2007-08-27 15:21:36 PDT
Checked in to MOZILLA_1_8_BRANCH

Checking in mozilla/calendar/installer/Makefile.in;
/cvsroot/mozilla/calendar/installer/Makefile.in,v  <--  Makefile.in
new revision: 1.3.4.9; previous revision: 1.3.4.8
done
Checking in mozilla/calendar/installer/windows/packages-static;
/cvsroot/mozilla/calendar/installer/windows/packages-static,v  <--  packages-static
new revision: 1.10.2.32; previous revision: 1.10.2.31
done

Checked in to trunk

Checking in mozilla/calendar/installer/Makefile.in;
/cvsroot/mozilla/calendar/installer/Makefile.in,v  <--  Makefile.in
new revision: 1.12; previous revision: 1.11
done
Checking in mozilla/calendar/installer/windows/packages-static;
/cvsroot/mozilla/calendar/installer/windows/packages-static,v  <--  packages-static
new revision: 1.46; previous revision: 1.45
done
Comment 7 Stefan Sitter 2007-08-28 10:41:43 PDT
Verified. The win32 installer for Sunbird 0.7pre (2007082804) contains only the Talkback files in the optional directory.

Note You need to log in before you can comment on or make changes to this bug.